Set versions to 0.6.0.1 and require this vector version in tests and benchmarks